﻿@model TopicEditViewModel

<form asp-action="Edit" asp-controller="Topic" method="post">

    <input asp-for="Id" type="hidden" />

    <div class="form-group">
        <label asp-for="Name"></label>
        <input asp-for="Name" type="text" class="form-control" />
        <span asp-validation-for="Name"></span>
    </div>

    <div class="form-group">
        <label asp-for="Description"></label>
        <input asp-for="Description" type="text" class="form-control" />
        <span asp-validation-for="Description"></span>
    </div>

    <div style="display: flex; gap: 20px;">
        <button class="btn btn-success" type="submit">Сохранить</button>
        @{
            if (TempData.Peek("ForumID") != null)
            {
                <a asp-controller="Forum" asp-action="Details" asp-route-id="@TempData.Peek("ForumID")">Вернуться к списку тем</a>
            }
        }
    </div>
</form>




